   message: this.message,
        role: this.role,
      })}`;
    }

    return this.isNewLogin
      ? html`${stylesTemplate()}
        ${MessagePopup({
          l10nid: "about-logins-add-password-tooltip",
          role: this.role,
        })}`
      : html`${stylesTemplate()}
        ${MessagePopup({
          l10nid: "about-logins-edit-password-tooltip",
          webTitle: this.webTitle,
          role: this.role,
        })}`;
  }
}

export class OriginWarning extends MozLitElement {
  static get properties() {
    return {
      l10nId: { type: String },
      message: { type: String },
      arrowDirection: { type: String },
      role: { type: String },
    };
  }

  constructor() {
    super();
    this.arrowDirection = "left";
  }

  render() {
    return html`${stylesTemplate()}
    ${MessagePopup({
      l10nid: this.l10nId,
      message: this.message,
      role: this.role,
    })}`;
  }
}

customElements.define("password-warning", PasswordWarning);
customElements.define("origin-warning", OriginWarning);
PK